All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess.metadata
Class StoredProcessAlertItem

    com.sas.services.storedprocess.metadata.StoredProcessAlertItem

All Implemented Interfaces:
  ContentInterface, EventInterface, MetadataInterface, PublicObjectInterface, StoredProcessAlertItemInterface, java.io.Serializable, java.rmi.Remote

    public class StoredProcessAlertItem

implements StoredProcessAlertItemInterface

This class represents a sas stored process alert item, which keeps track of the results of a stored process. The status and location of the results are available through this item.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.Metadata
`_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Constructor Summary
`StoredProcessAlertItem()` Creates a new StoredProcessAlert
`StoredProcessAlertItem(DAVStoredprocessalert o)` Creates a new StoredProcessAlert that incorporates the DAVStoredprocessalert object passed to the constructor

Method Summary
`java.lang.String` | `getProperty(java.lang.String XPathString)` Get the value of a property
`PackageInterface` | `getResults()` Return the stored process results in the form of a package.
`java.lang.String` | `getType()` Returns the object type
`void` | `setName(java.lang.String name)` Set the name of the object.

Methods inherited from class com.sas.services.information.metadata.DavEvent
`getEventDocument, getEventDocumentAsString, setEventDocument, setEventDocumentFromString`

Methods inherited from class com.sas.services.information.metadata.Content
`getContentAsBytes, getContentAsStream, getContentAsString, getContentType, setContent, setContentFromBytes, setContentFromStream, setContentType, setProperty`

Methods inherited from class com.sas.services.information.metadata.Metadata
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logMessage, logMessage, logThrowable, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

Methods inherited from interface com.sas.services.information.metadata.EventInterface
`getEventDocument, getEventDocumentAsString, setEventDocument, setEventDocumentFromString`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Constructor Detail

### StoredProcessAlertItem

    public StoredProcessAlertItem()
                           throws java.rmi.RemoteException

  Creates a new StoredProcessAlert

  Throws:
    `java.rmi.RemoteException`

### StoredProcessAlertItem

    public StoredProcessAlertItem(DAVStoredprocessalert o)
                           throws java.rmi.RemoteException

  Creates a new StoredProcessAlert that incorporates the DAVStoredprocessalert object passed to the constructor

  Throws:
    `java.rmi.RemoteException`

Method Detail

### getResults

    public PackageInterface getResults()
                                throws java.rmi.RemoteException

  Description copied from interface: `StoredProcessAlertItemInterface`
  Return the stored process results in the form of a package.

  Specified by:
    `getResults` in interface `StoredProcessAlertItemInterface`
  Returns:
    PackageInterface The stored process reults
  Throws:
    `java.rmi.RemoteException`

### getType

    public java.lang.String getType()
                             throws java.rmi.RemoteException

  Description copied from class: `DavEvent`
  Returns the object type

  Specified by:
    `getType` in interface `MetadataInterface`
  Overrides:
    `getType` in class `DavEvent`
  Returns:
    String This is an "Event" type
  Throws:
    `java.rmi.RemoteException` - in the case of network failures

### setName

    public void setName(java.lang.String name)
                 throws java.rmi.RemoteException

  Description copied from class: `Metadata`
  Set the name of the object.

  Specified by:
    `setName` in interface `MetadataInterface`
  Overrides:
    `setName` in class `Metadata`
  Parameters:
    `name` - The name of the object in the repository.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getProperty

    public java.lang.String getProperty(java.lang.String XPathString)

  Description copied from class: `Content`
  Get the value of a property

  Specified by:
    `getProperty` in interface `ContentInterface`
  Specified by:
    `getProperty` in interface `StoredProcessAlertItemInterface`
  Overrides:
    `getProperty` in class `Content`
  Parameters:
    `XPathString` - The name, including namespace, of the property to get
  Returns:
    String The value of the property

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.